Node.js module for logging into console, file and browser (see below for more info) 

# Installation
### Node package manager
```
npm i improved-logging
```
### YARN
```
yarn add improved-logging
```

# Usage:
```javascript
import logging from 'improved-logging'

logging.info('This is logging example')
```

## Log types
```javascript
import logging from 'improved-logging'

logging.info('Some information')
logging.important('Some important information')
logging.success('Something is done')
logging.warn('Warning')
logging.error('Something went wrong')
logging.fatal('Critical error')
```

## Enable logging into the files
```javascript
const loggingDir = path.join(__dirname, '../', 'logs')
logging.setLogDir(loggingDir)
logging.setLogfileName(path.join(loggingDir, 'main.log'))

logging.info('Now will log all to file')
```

## See the logs from the browser
Could be helpful when the machine is blocked during automatization process
### How to enable browser logging
```javascript
import logging, { getLoggingRouter } from 'improved-logging'
import enableWs from 'express-ws'
import express from 'express'

const app = express()
enableWs(app)
app.use(getLoggingRouter('localhost', '3000', '/logging'))
```

## How to turn different logs on/off
```javascript
logging.verbose('You will see this in console')

logging.setLogLevel('info')

logging.verbose('This one is hidden')


logging.setLogLevel('important')

logging.important('Now info, success and verbose logs are hidden')
logging.info('You will not see this in console/log file/browser')
```
