import express from 'express'
import http from 'http'
import expressWs from "express-ws"
import { getLoggingRouter } from './router.js'
import logging from './general.js'


export class WebServerLogging {
    // host: string = 'localhost'
    // port: number = 3000
    // route: string = '/'

    startServer(host: string = 'localhost', port: number = 3000) {
        const app = express()
        expressWs(app)

        const loggingRouter = getLoggingRouter(host, port, '/')
        app.use(loggingRouter)

        const url = `http://${host}:${port}`
        app.listen(port, () => logging.success(`You can read logs on: ${url}`))
    }
}